### Function

# AppStreamCompose globals_get_ffprobe_binary

since: 0.14.6

#### Declaration [src]

    const gchar*
    asc_globals_get_ffprobe_binary (
      void
    )

#### Description [src]

Get path to the “ffprobe” binary we should use.

Available since: 0.14.6

#### Return value

Type: `const gchar*`

The binary path, or `NULL` if ffprobe was not found. The string is owned by the global state and is valid until the setting is changed, which is prohibited once composing metadata has started.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.